<?php

namespace App\Imports;

use App\Models\Dataset\DatasetTable43B;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class DatasetTable43BImport implements ToModel,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    protected $datasetId;
protected $userId;

    public function __construct($datasetId,$userId)
    {
        $this->datasetId = $datasetId;
        $this->userId = $userId;
    }

public function startRow(): int
    {
        return 6;
    }

public function model(array $row)
    {

// cek kalau row kosong jangan insert
        if ($row[0] === null && $row[1] === null && $row[2] === null && $row[3] === null && $row[4] === null && $row[5] === null) {
            return null; // baris kosong dilewati
        }
        return new DatasetTable43B([
            'dataset_id'         => $this->datasetId,
            'created_by'         => $this->userId,
            'lokasi'             => $row[1],
            'nama_perusahaan'    => $row[3],
            'waktu'              => $row[4],
            'hasil_pengawasan'   => $row[5],
        ]);
    }
}
